Pular para o conteúdo principal
GET
/
automation
/
v4
/
actions
/
{appId}
/
{definitionId}
/
revisions
Recuperar revisões para uma determinada definição
curl --request GET \
  --url https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/revisions \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "createdAt": "2023-11-07T05:31:56Z",
      "definition": {
        "actionUrl": "<string>",
        "functions": [
          {
            "functionType": "POST_ACTION_EXECUTION",
            "id": "<string>"
          }
        ],
        "id": "<string>",
        "inputFields": [
          {
            "isRequired": true,
            "typeDefinition": {
              "name": "<string>",
              "options": [
                {
                  "label": "<string>",
                  "value": "<string>",
                  "description": "<string>",
                  "displayOrder": 123
                }
              ],
              "type": "bool",
              "description": "<string>",
              "fieldType": "booleancheckbox",
              "helpText": "<string>",
              "label": "<string>",
              "optionsUrl": "<string>",
              "referencedObjectType": "OWNER"
            },
            "supportedValueTypes": [
              "STATIC_VALUE"
            ]
          }
        ],
        "labels": {},
        "objectTypes": [
          "<string>"
        ],
        "published": true,
        "revisionId": "<string>",
        "archivedAt": 123,
        "executionRules": [
          {
            "conditions": {},
            "labelName": "<string>"
          }
        ],
        "inputFieldDependencies": [
          {
            "controllingFieldName": "<string>",
            "dependencyType": "SINGLE_FIELD",
            "dependentFieldNames": [
              "<string>"
            ]
          }
        ],
        "objectRequestOptions": {
          "properties": [
            "<string>"
          ]
        },
        "outputFields": [
          {
            "typeDefinition": {
              "externalOptions": true,
              "name": "<string>",
              "options": [
                {
                  "description": "<string>",
                  "displayOrder": 123,
                  "doubleData": 123,
                  "hidden": true,
                  "label": "<string>",
                  "readOnly": true,
                  "value": "<string>"
                }
              ],
              "schema": {
                "type": "INTEGER",
                "maximum": 123,
                "minimum": 123
              },
              "type": "bool",
              "useChirp": true,
              "description": "<string>",
              "externalOptionsReferenceType": "<string>",
              "fieldType": "booleancheckbox",
              "helpText": "<string>",
              "label": "<string>",
              "optionsUrl": "<string>",
              "referencedObjectType": "ABANDONED_CART"
            }
          }
        ]
      },
      "id": "<string>",
      "revisionId": "<string>"
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de caminho

appId
integer<int32>
obrigatório
definitionId
string
obrigatório

Parâmetros de consulta

after
string

O token do cursor de paginação do último recurso lido com sucesso será retornado como a propriedade JSON "paging.next.after" de uma resposta paginada que contém mais resultados.

limit
integer<int32>

O número máximo de resultados a serem exibidos por página.

Resposta

successful operation

results
object[]
obrigatório
paging
object
Last modified on April 13, 2026